post
/{tenantId}/v1/documents/{documentId}/multipart/completeComplete multipart upload
Requires Authentication
Documents
Completes a multipart upload by providing the list of completed parts with their ETags.
After completion, call the confirm endpoint to mark the document as ready.
Path Parameters
| Name | Type | Description |
|---|---|---|
tenantIdrequired | string (uuid) | Tenant UUID |
documentIdrequired | string (uuid) | Document UUID |
Request Body
required
uploadIdstring
required
- Upload ID from startMultipartUploadpartsarray
object[]required
partNumberinteger (int32)
etagstring
- ETag returned by S3 after uploading the partResponses
Multipart upload completed
Code Examples
curl -X POST 'https://api-next.checkio.co.uk/{tenantId}/v1/documents/{documentId}/multipart/complete' \
-H 'Authorization: Bearer {token}' \
-H 'Content-Type: application/json' \
-d '{
"uploadId": "string",
"parts": [
{
"partNumber": 0,
"etag": "string"
}
]
}'